Bug 206878 - Recursive kernel fault when playing sound in 2.6.17-1.2187_FC5
Recursive kernel fault when playing sound in 2.6.17-1.2187_FC5
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 12:54 EDT by Eric Hopper
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2006-09-17 12:54:34 EDT
Description of problem:
When using amarokapp to play some music, amarok halts suddenly and I have to
kill it.  Looking in /var/log/messages I notice that the kernel has had a problem.

Version-Release number of selected component (if applicable):
# uname -a
Linux bats 2.6.17-1.2187_FC5 #1 SMP Mon Sep 11 01:16:59 EDT 2006 x86_64 x86_64
x86_64 GNU/Linux


How reproducible:
Don't know yet, this is the first time it happened.  I was playing sound for
awhile, so I'm guessing it's a heisenbug, not a bohr bug.

Actual results:
Sep 17 09:16:46 bats kernel: NMI Watchdog detected LOCKUP on CPU 1
Sep 17 09:16:46 bats kernel: CPU 1
Sep 17 09:16:46 bats kernel: Modules linked in: fuse autofs4 w83627hf lm85
hwmon_vid eeprom lm90 hwmon i2c_isa ip_conntrack_netbios_ns ip_conntrack
nfnetlink ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables reiserfs video
button battery acpi_memhotplug ac ipv6 lp parport_pc parport usb_storage
snd_intel8x0 snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device ohci1394 ieee1394 ohci_hcd sg
snd_pcm_oss snd_mixer_oss serio_raw snd_pcm snd_timer snd i2c_amd8111 soundcore
hw_random tg3 snd_page_alloc i2c_amd756 i2c_core dm_snapshot dm_zero dm_mirror
dm_mod raid0 raid1 ext3 jbd sata_sil libata sd_mod scsi_mod
Sep 17 09:16:46 bats kernel: Pid: 4194, comm: amarokapp 2.6.17-1.2187_FC5 #1
Sep 17 09:16:46 bats kernel: RIP: 0010:[<ffffffff8886401b>]
<ffffffff8886401b>{:snd_intel8x0:igetbyte+27}
Sep 17 09:16:46 bats kernel: RSP: 0018:ffff81003e87dbe0  EFLAGS: 00000002
Sep 17 09:16:46 bats kernel: RAX: 0000000000000010 RBX: 0000000000000000 RCX:
0000000000000010
Sep 17 09:16:46 bats kernel: RDX: 000000000000cc16 RSI: 0000000000000016 RDI:
ffff81007b757000
Sep 17 09:16:46 bats kernel: RBP: ffff81007b757100 R08: 0000000000000000 R09:
ffff81003e87dbe8
Sep 17 09:16:46 bats kernel: R10: ffff8100164585f0 R11: ffff810054509000 R12:
000000000000001b
Sep 17 09:16:46 bats kernel: R13: 0000000000000010 R14: ffff81007b757000 R15:
ffff81007c20def8
Sep 17 09:16:46 bats kernel: FS:  0000000040a02940(0000)
GS:ffff810001358ac0(0000) knlGS:00000000f6016ba0
Sep 17 09:16:46 bats kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep 17 09:16:46 bats kernel: CR2: 00002aaaaaac6000 CR3: 0000000000201000 CR4:
00000000000006e0
Sep 17 09:16:46 bats kernel: Process amarokapp (pid: 4194, threadinfo
ffff81003e87c000, task ffff81006cdcf7a0)
Sep 17 09:16:46 bats kernel: Stack: ffffffff888642ae 0000000000000000
0000000000000001 ffffffff881ca6a0
Sep 17 09:16:46 bats kernel:        ffff81007c7a5600 0000000000000000
ffffffff881b19c2 ffff81007c7bd228
Sep 17 09:16:46 bats kernel:        ffffffff881b1880 ffff810054509000
Sep 17 09:16:46 bats kernel: Call Trace:
<ffffffff888642ae>{:snd_intel8x0:snd_intel8x0_pcm_trigger+112}
Sep 17 09:16:46 bats kernel:       
<ffffffff881b19c2>{:snd_pcm:snd_pcm_do_stop+61}
<ffffffff881b1880>{:snd_pcm:snd_pcm_action_single+43}
Sep 17 09:16:46 bats kernel:       
<ffffffff881b31dc>{:snd_pcm:snd_pcm_drop+157}
<ffffffff881b3668>{:snd_pcm:snd_pcm_release_substream+9}
Sep 17 09:16:46 bats kernel:       
<ffffffff881b370e>{:snd_pcm:snd_pcm_release+79} <ffffffff80212030>{__fput+188}
Sep 17 09:16:46 bats kernel:        <ffffffff80224bfa>{filp_close+89}
<ffffffff8023b221>{put_files_struct+110}
Sep 17 09:16:46 bats kernel:        <ffffffff80215e6b>{do_exit+661}
<ffffffff8024c67e>{debug_mutex_init+0}
Sep 17 09:16:46 bats kernel:       
<ffffffff8022ca04>{get_signal_to_deliver+1244} <ffffffff8022b299>{do_signal+85}
Sep 17 09:16:46 bats kernel:        <ffffffff80269d4b>{_spin_unlock_irq+9}
<ffffffff80262a57>{sysret_signal+28}
Sep 17 09:16:46 bats kernel:        <ffffffff80262cdb>{ptregscall_common+103}
Sep 17 09:16:46 bats kernel:
Sep 17 09:16:46 bats kernel: Code: 0f b6 c0 c3 83 7f 20 00 74 0d 89 f0 48 03 47
30 66 8b 00 0f
Sep 17 09:16:46 bats kernel: console shuts up ...
Sep 17 09:16:46 bats kernel:  <1>Fixing recursive fault but reboot is needed!
Comment 1 Eric Hopper 2006-09-17 15:24:39 EDT
It happened again, I think I'm switching back to the previous kernel.

Just for reference:
$ rpm -q amarok
amarok-1.4.1-3.fc5

And here's the dump:

Sep 17 12:19:34 bats kernel: NMI Watchdog detected LOCKUP on CPU 0
Sep 17 12:19:34 bats kernel: CPU 0
Sep 17 12:19:34 bats kernel: Modules linked in: fuse autofs4 w83627hf lm85
hwmon_vid eeprom lm90 hwmon i2c_isa ip_conntrack_netbios_ns ip_conntrack
nfnetlink ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables reiserfs video
button battery acpi_memhotplug ac ipv6 lp parport_pc parport usb_storage 
snd_intel8x0 snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss ohci_hcd
snd_pcm snd_timer ohci1394 serio_raw ieee1394 sg hw_random snd soundcore
i2c_amd8111 tg3 snd_page_alloc i2c_amd756 i2c_core dm_snapshot dm_zero dm_mirror
dm_mod raid0 raid1 ext3 jbd sata_sil libata sd_mod scsi_mod
Sep 17 12:19:34 bats kernel: Pid: 4048, comm: amarokapp 2.6.17-1.2187_FC5 #1
Sep 17 12:19:34 bats kernel: RIP: 0010:[<ffffffff8832701b>]
<ffffffff8832701b>{:snd_intel8x0:igetbyte+27}
Sep 17 12:19:34 bats kernel: RSP: 0018:ffff810026f43be0  EFLAGS: 00000002
Sep 17 12:19:34 bats kernel: RAX: 0000000000000010 RBX: 0000000000000000 RCX:
0000000000000010
Sep 17 12:19:34 bats kernel: RDX: 000000000000cc16 RSI: 0000000000000016 RDI:
ffff810077e78800
Sep 17 12:19:34 bats kernel: RBP: ffff810077e78900 R08: 0000000000000000 R09:
ffff810026f43be8
Sep 17 12:19:34 bats kernel: R10: ffff810032e47a78 R11: ffff8100598a0000 R12:
000000000000001b
Sep 17 12:19:34 bats kernel: R13: 0000000000000010 R14: ffff810077e78800 R15:
ffff8100787e3500
Sep 17 12:19:34 bats kernel: FS:  0000000040a02940(0000)
GS:ffffffff8069e000(0000) knlGS:0000000000000000
Sep 17 12:19:34 bats kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep 17 12:19:34 bats kernel: CR2: 000000000045c960 CR3: 0000000000201000 CR4:
00000000000006e0
Sep 17 12:19:34 bats kernel: Process amarokapp (pid: 4048, threadinfo
ffff810026f42000, task ffff810037528040)
Sep 17 12:19:34 bats kernel: Stack: ffffffff883272ae 0000000000000000
0000000000000001 ffffffff882656a0
Sep 17 12:19:34 bats kernel:        ffff810078b30c00 0000000000000000
ffffffff8824c9c2 ffff810078b18228
Sep 17 12:19:34 bats kernel:        ffffffff8824c880 ffff8100598a0000
Sep 17 12:19:34 bats kernel: Call Trace:
<ffffffff883272ae>{:snd_intel8x0:snd_intel8x0_pcm_trigger+112}
Sep 17 12:19:34 bats kernel:       
<ffffffff8824c9c2>{:snd_pcm:snd_pcm_do_stop+61}
<ffffffff8824c880>{:snd_pcm:snd_pcm_action_single+43}
Sep 17 12:19:34 bats kernel:       
<ffffffff8824e1dc>{:snd_pcm:snd_pcm_drop+157}
<ffffffff8824e668>{:snd_pcm:snd_pcm_release_substream+9}
Sep 17 12:19:34 bats kernel:       
<ffffffff8824e70e>{:snd_pcm:snd_pcm_release+79} <ffffffff80212030>{__fput+188}
Sep 17 12:19:34 bats kernel:        <ffffffff80224bfa>{filp_close+89}
<ffffffff8023b221>{put_files_struct+110}
Sep 17 12:19:34 bats kernel:        <ffffffff80215e6b>{do_exit+661}
<ffffffff8024c67e>{debug_mutex_init+0}
Sep 17 12:19:34 bats kernel:       
<ffffffff8022ca04>{get_signal_to_deliver+1244} <ffffffff8022b299>{do_signal+85}
Sep 17 12:19:34 bats kernel:        <ffffffff8028b69a>{default_wake_function+0}
<ffffffff802a1ed8>{debug_mutex_add_waiter+159}
Sep 17 12:19:34 bats kernel:       
<ffffffff802693a5>{__mutex_lock_slowpath+868} <ffffffff80262a57>{sysret_signal+28}
Sep 17 12:19:34 bats kernel:        <ffffffff80262cdb>{ptregscall_common+103}
Sep 17 12:19:34 bats kernel:
Sep 17 12:19:34 bats kernel: Code: 0f b6 c0 c3 83 7f 20 00 74 0d 89 f0 48 03 47
30 66 8b 00 0f
Sep 17 12:19:34 bats kernel: console shuts up ...
Sep 17 12:19:34 bats kernel:  <1>Fixing recursive fault but reboot is needed!
Comment 2 Eric Hopper 2006-09-18 19:23:17 EDT
This is actually a problem in the earlier kernel (2.6.17-1_2174) as well.  This
means that the only difference can be what I was doing with the system at the time.

In this case, the main difference was that I was running gtk-gnutella, so I had
a lot of back-and-forth network traffic and X-Window screen updates as well.
Comment 3 Dave Jones 2006-10-16 15:50:01 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:41:54 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.